# misc.cpp File Reference

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "currency.h"`
`#include "landscape.h"`
`#include "news.h"`
`#include "saveload.h"`
`#include "engine.h"`
`#include "vehicle_gui.h"`
`#include "variables.h"`
`#include "ai/ai.h"`
`#include "newgrf_house.h"`
`#include "cargotype.h"`
`#include "group.h"`
`#include "viewport_func.h"`
`#include "economy_func.h"`
`#include "zoom_func.h"`
`#include "functions.h"`
`#include "map_func.h"`
`#include "date_func.h"`
`#include "vehicle_func.h"`
`#include "texteff.hpp"`
`#include "string_func.h"`
`#include "gfx_func.h"`
`#include "core/alloc_func.hpp"`
`#include "table/strings.h"`
`#include "table/sprites.h"`

Go to the source code of this file.

## Enumerations
enum | { MAP_SL_BUF_SIZE = 4096 }
## Functions
void | InitializeVehicles ()
void | InitializeWaypoints ()
void | InitializeDepots ()
void | InitializeEngines ()
void | InitializeOrders ()
void | InitializeClearLand ()
void | InitializeRailGui ()
void | InitializeRoadGui ()
void | InitializeAirportGui ()
void | InitializeDockGui ()
void | InitializeIndustries ()
void | InitializeMainGui ()
void | InitializeTowns ()
void | InitializeTrees ()
void | InitializeSigns ()
| Initialize the signs.
void | InitializeStations ()
void | InitializeCargoPackets ()
static void | InitializeNameMgr ()
void | InitializePlayers ()
static void | InitializeCheats ()
void | InitializeNPF ()
void | InitializeGame (int mode, uint size_x, uint size_y)
bool | IsCustomName (StringID id)
char * | CopyFromOldName (StringID id)
void | InitializeLandscapeVariables (bool only_constants)
static void | Load_NAME ()
static void | SaveLoad_DATE ()
static void | SaveLoad_VIEW ()
static void | Save_MAPS ()
static void | Load_MAPS ()
static void | Load_MAPT ()
static void | Save_MAPT ()
static void | Load_MAP1 ()
static void | Save_MAP1 ()
static void | Load_MAP2 ()
static void | Save_MAP2 ()
static void | Load_MAP3 ()
static void | Save_MAP3 ()
static void | Load_MAP4 ()
static void | Save_MAP4 ()
static void | Load_MAP5 ()
static void | Save_MAP5 ()
static void | Load_MAP6 ()
static void | Save_MAP6 ()
static void | Load_MAP7 ()
static void | Save_MAP7 ()
static void | Save_CHTS ()
static void | Load_CHTS ()
## Variables
char | _name_array [512][32]
static const SaveLoadGlobVarList | _date_desc []
static const SaveLoadGlobVarList | _view_desc []
static uint32 | _map_dim_x
static uint32 | _map_dim_y
static const SaveLoadGlobVarList | _map_dimensions []
const ChunkHandler | _misc_chunk_handlers []

## Detailed Description

Definition in file misc.cpp.

## Function Documentation

void InitializeSigns | ( |  | ) |

Initialize the signs.

Definition at line 204 of file signs.cpp.

## Variable Documentation

const SaveLoadGlobVarList _date_desc[]`[static]`

Initial value:

     {
      SLEG_CONDVAR(_date,                   SLE_FILE_U16 | SLE_VAR_I32,  0,  30),
      SLEG_CONDVAR(_date,                   SLE_INT32,                  31, SL_MAX_VERSION),
          SLEG_VAR(_date_fract,             SLE_UINT16),
          SLEG_VAR(_tick_counter,           SLE_UINT16),
          SLEG_VAR(_vehicle_id_ctr_day,     SLE_UINT16),
          SLEG_VAR(_age_cargo_skip_counter, SLE_UINT8),
      SLE_CONDNULL(1, 0, 45),
      SLEG_CONDVAR(_cur_tileloop_tile,      SLE_FILE_U16 | SLE_VAR_U32,  0, 5),
      SLEG_CONDVAR(_cur_tileloop_tile,      SLE_UINT32,                  6, SL_MAX_VERSION),
          SLEG_VAR(_disaster_delay,         SLE_UINT16),
          SLEG_VAR(_station_tick_ctr,       SLE_UINT16),
          SLEG_VAR(_random.state[0],        SLE_UINT32),
          SLEG_VAR(_random.state[1],        SLE_UINT32),
      SLEG_CONDVAR(_cur_town_ctr,           SLE_FILE_U8  | SLE_VAR_U32,  0, 9),
      SLEG_CONDVAR(_cur_town_ctr,           SLE_UINT32,                 10, SL_MAX_VERSION),
          SLEG_VAR(_cur_player_tick_index,  SLE_FILE_U8  | SLE_VAR_U32),
          SLEG_VAR(_next_competitor_start,  SLE_FILE_U16 | SLE_VAR_U32),
          SLEG_VAR(_trees_tick_ctr,         SLE_UINT8),
      SLEG_CONDVAR(_pause_game,             SLE_UINT8,                   4, SL_MAX_VERSION),
      SLEG_CONDVAR(_cur_town_iter,          SLE_UINT32,                 11, SL_MAX_VERSION),

    }

Definition at line 196 of file misc.cpp.

const SaveLoadGlobVarList _map_dimensions[]`[static]`

Initial value:

     {
      SLEG_CONDVAR(_map_dim_x, SLE_UINT32, 6, SL_MAX_VERSION),
      SLEG_CONDVAR(_map_dim_y, SLE_UINT32, 6, SL_MAX_VERSION),

    }

Definition at line 245 of file misc.cpp.

const ChunkHandler _misc_chunk_handlers[]

Initial value:

     {
      { 'MAPS', Save_MAPS,     Load_MAPS,     CH_RIFF },
      { 'MAPT', Save_MAPT,     Load_MAPT,     CH_RIFF },
      { 'MAPO', Save_MAP1,     Load_MAP1,     CH_RIFF },
      { 'MAP2', Save_MAP2,     Load_MAP2,     CH_RIFF },
      { 'M3LO', Save_MAP3,     Load_MAP3,     CH_RIFF },
      { 'M3HI', Save_MAP4,     Load_MAP4,     CH_RIFF },
      { 'MAP5', Save_MAP5,     Load_MAP5,     CH_RIFF },
      { 'MAPE', Save_MAP6,     Load_MAP6,     CH_RIFF },
      { 'MAP7', Save_MAP7,     Load_MAP7,     CH_RIFF },

      { 'NAME', NULL,          Load_NAME,     CH_ARRAY},
      { 'DATE', SaveLoad_DATE, SaveLoad_DATE, CH_RIFF},
      { 'VIEW', SaveLoad_VIEW, SaveLoad_VIEW, CH_RIFF},
      { 'CHTS', Save_CHTS,     Load_CHTS,     CH_RIFF | CH_LAST}
    }

const SaveLoadGlobVarList _view_desc[]`[static]`

Initial value:

     {
      SLEG_CONDVAR(_saved_scrollpos_x,    SLE_FILE_I16 | SLE_VAR_I32, 0, 5),
      SLEG_CONDVAR(_saved_scrollpos_x,    SLE_INT32,                  6, SL_MAX_VERSION),
      SLEG_CONDVAR(_saved_scrollpos_y,    SLE_FILE_I16 | SLE_VAR_I32, 0, 5),
      SLEG_CONDVAR(_saved_scrollpos_y,    SLE_INT32,                  6, SL_MAX_VERSION),
          SLEG_VAR(_saved_scrollpos_zoom, SLE_UINT8),

    }

Definition at line 228 of file misc.cpp.